/*
 * This file is part of the Owl Positioning System (OwlPS).
 * OwlPS is a project of the University of Franche-Comté
 * (Université de Franche-Comté), France.
 */


#ifndef _OWLPS_POSITIONING_CARTOGRAPHYALGORITHM_HH_
#define _OWLPS_POSITIONING_CARTOGRAPHYALGORITHM_HH_

#include "positioningalgorithm.hh"
#include "referencepoint.hh"

/// Super-class of SS cartography-based positioning algorithms
class CartographyAlgorithm: public virtual PositioningAlgorithm
{
public:
  CartographyAlgorithm(void) {}
  virtual ~CartographyAlgorithm(void) {}

  /** @name Operations */
  //@{
  Result compute(const Request &request) ;
  virtual const ReferencePoint& select_point(
    const Request &request) = 0 ;
  //@}
} ;

#endif // _OWLPS_POSITIONING_CARTOGRAPHYALGORITHM_HH_
