/*
 * This file is part of the Owl Positioning System (OwlPS).
 * OwlPS is a project of the University of Franche-Comté
 * (Université de Franche-Comté), France.
 */


#ifndef _OWLPS_POSITIONING_FRBHMBASIC_HH_
#define _OWLPS_POSITIONING_FRBHMBASIC_HH_

#include "fbcm.hh"
#include "nss.hh"

/// Computes a position using the Interlink Networks formula
class FRBHMBasic: public FBCM, public NSS
{
protected:
  ReferencePoint const *closest_in_ss ;

  float friis_index(const AccessPoint *const ap) const ;

public:
  FRBHMBasic(void):
    PositioningAlgorithm("FRBHMBasic"), closest_in_ss(NULL) {}
  ~FRBHMBasic(void) {}

  /** @name Operations */
  //@{
  Result compute(const Request &_request) ;
  float estimate_distance(const Measurement &measurement) ;
  //@}
} ;

#endif // _OWLPS_POSITIONING_FRBHMBASIC_HH_
