/*
 * This file is part of the Owl Positioning System (OwlPS).
 * OwlPS is a project of the University of Franche-Comté
 * (Université de Franche-Comté), France.
 */


#ifndef _OWLPS_POSITIONING_INPUTLOGMEDIUM_HH_
#define _OWLPS_POSITIONING_INPUTLOGMEDIUM_HH_

#include "request.hh"

/// Super class of all input log media
/**
 * This class provides an interface for input log media, i.e. to log
 * Request received by the InputMedium.
 */
class InputLogMedium
{
public:
  virtual ~InputLogMedium(void) {}

  /** @name Operations */
  //@{
  virtual bool log_request(const Request &request) = 0 ;
  //@}
} ;

#endif // _OWLPS_POSITIONING_INPUTLOGMEDIUM_HH_
