/*
 * This file is part of the Owl Positioning System (OwlPS).
 * OwlPS is a project of the University of Franche-Comté
 * (Université de Franche-Comté), France.
 */


#ifndef _OWLPS_POSITIONING_INTERLINKNETWORKS_HH_
#define _OWLPS_POSITIONING_INTERLINKNETWORKS_HH_

#include "multilaterationalgorithm.hh"

/// Computes a position using the Interlink Networks formula
class InterlinkNetworks: public MultilaterationAlgorithm
{
public:
  InterlinkNetworks(void): PositioningAlgorithm("InterlinkNetworks") {}
  ~InterlinkNetworks(void) {}

  float estimate_distance(const Measurement &measurement) ;
} ;

#endif // _OWLPS_POSITIONING_INTERLINKNETWORKS_HH_
