/*
 * This file is part of the Owl Positioning System (OwlPS).
 * OwlPS is a project of the University of Franche-Comté
 * (Université de Franche-Comté), France.
 */


#include "nss.hh"
#include "stock.hh"
#include "configuration.hh"



const ReferencePoint& NSS::select_point(const Request &request)
{
  if (Configuration::bool_value(
        "positioning.nss.average-reference-points"))
    return Stock::closest_reference_point(request) ;

  const CalibrationRequest &cr =
    Stock::closest_calibration_request(request) ;
  return *cr.get_reference_point() ;
}
