/*
 * This file is part of the Owl Positioning System (OwlPS).
 * OwlPS is a project of the University of Franche-Comté
 * (Université de Franche-Comté), France.
 */


#ifndef _OWLPS_POSITIONING_NSS_HH_
#define _OWLPS_POSITIONING_NSS_HH_

#include "cartographyalgorithm.hh"

/// Computes a position selecting the closest point in SS cartography
/**
 * This algorithm was introduced by Paramvir Bahl and Venkata N.
 * Padmanabhan in their paper "RADAR: An In-Building RF-Based User
 * Location and Tracking System" (2000). For more details, see:
 * http://citeseer.ist.psu.edu/bahl00radar.html
 */
class NSS: public CartographyAlgorithm
{
public:
  NSS(void): PositioningAlgorithm("NSS") {}
  ~NSS(void) {}

  const ReferencePoint& select_point(const Request &request) ;
} ;

#endif // _OWLPS_POSITIONING_NSS_HH_
