/*
 * This file is part of the Owl Positioning System (OwlPS).
 * OwlPS is a project of the University of Franche-Comté
 * (Université de Franche-Comté), France.
 */


#ifndef _OWLPS_POSITIONING_OUTPUTCSV_HH_
#define _OWLPS_POSITIONING_OUTPUTCSV_HH_

#include "outputmedium.hh"
#include "textfilewriter.hh"

/// Writes results to a CSV file
/**
 * The CSV format is documented in ResultList::to_csv().
 */
class OutputCSV: public OutputMedium
{
protected:
  TextFileWriter file ;

public:
  OutputCSV(const std::string &filename):
    file(filename) {}

  void write(const Result &result) ;
  void write(const ResultList &results) ;
} ;



/* *** Operations *** */



#endif // _OWLPS_POSITIONING_OUTPUTCSV_HH_
