/*
 * This file is part of the Owl Positioning System (OwlPS).
 * OwlPS is a project of the University of Franche-Comté
 * (Université de Franche-Comté), France.
 */


#ifndef _OWLPS_POSITIONING_OUTPUTMEDIUM_HH_
#define _OWLPS_POSITIONING_OUTPUTMEDIUM_HH_

class Result ;
class ResultList ;

/// Super class of all output media
/**
 * This class provides an interface for output media, i.e. to write
 * Results computed by a PositioningAlgorithm.
 */
class OutputMedium
{
public:
  OutputMedium(void) {}

  virtual ~OutputMedium(void) {}

  /** @name Operations */
  //@{
  virtual void write(const Result &result) = 0 ;
  virtual void write(const ResultList &results) = 0 ;
  //@}
} ;

#endif // _OWLPS_POSITIONING_OUTPUTMEDIUM_HH_
