/*
 * This file is part of the Owl Positioning System (OwlPS).
 * OwlPS is a project of the University of Franche-Comté
 * (Université de Franche-Comté), France.
 */


#include "outputterminal.hh"
#include "resultlist.hh"
#include "configuration.hh"



void OutputTerminal::write(const Result &result)
{
  output_stream << result << '\n' ;
}



void OutputTerminal::write(const ResultList &results)
{
  if (results.empty())
    output_stream << "There is no result.\n" ;
  else
    output_stream << results << '\n' ;
  if (Configuration::bool_value("flush-output-files"))
    output_stream << std::flush ;
}
