/*
 * This file is part of the Owl Positioning System (OwlPS).
 * OwlPS is a project of the University of Franche-Comté
 * (Université de Franche-Comté), France.
 */


#ifndef _OWLPS_POSITIONING_OUTPUTTERMINAL_HH_
#define _OWLPS_POSITIONING_OUTPUTTERMINAL_HH_

#include "outputmedium.hh"

#include <iostream>

/// Writes a result to a stream (defaults to the standard output)
class OutputTerminal: public OutputMedium
{
protected:
  std::ostream &output_stream ;

public:
  OutputTerminal(std::ostream &_output_stream = std::cout):
    output_stream(_output_stream) {}

  void write(const Result &result) ;
  void write(const ResultList &results) ;
} ;

#endif // _OWLPS_POSITIONING_OUTPUTTERMINAL_HH_
