/*
 * This file is part of the Owl Positioning System (OwlPS).
 * OwlPS is a project of the University of Franche-Comté
 * (Université de Franche-Comté), France.
 */


#include "realposition.hh"
#include "calibrationrequest.hh"
#include "referencepoint.hh"



Result RealPosition::compute(const Request &request)
{
  const Point3D *coordinates = NULL ;

  const CalibrationRequest *calibration_request =
    dynamic_cast<const CalibrationRequest*>(&request) ;

  if (calibration_request != NULL)
    coordinates = static_cast<Point3D*>(
                    calibration_request->get_reference_point()) ;

  coordinates = request.get_real_position() ;
  if (coordinates)
    return Result(&request, name, *coordinates) ;

  return Result(&request, name) ;
}
