/*
 * This file is part of the Owl Positioning System (OwlPS).
 * OwlPS is a project of the University of Franche-Comté
 * (Université de Franche-Comté), France.
 */


#ifndef _OWLPS_POSITIONING_TEXTFILEWRITER_HH_
#define _OWLPS_POSITIONING_TEXTFILEWRITER_HH_

#include <string>
#include <fstream>

/// Writes text to a file
/**
 * If the file name is a dash ('-'), the standard output is used.
 */
class TextFileWriter
{
private:
  /// Name of the output file
  std::string file_name ;
  /// Stream associated with the file
  std::ofstream file ;
  /// Original rdbuf of the stream
  std::streambuf *file_buf ;

public:
  TextFileWriter(const std::string &_file_name) ;
  virtual ~TextFileWriter(void) ;

  bool write_text(const std::string &text) ;
} ;

#endif // _OWLPS_POSITIONING_TEXTFILEWRITER_HH_
