/*
 * This file is part of the Owl Positioning System (OwlPS).
 * OwlPS is a project of the University of Franche-Comté
 * (Université de Franche-Comté), France.
 */


#include "wifidevice.hh"

using namespace std ;



/* *** Operators *** */


WifiDevice& WifiDevice::operator=(const WifiDevice &wd)
{
  if (this == &wd)
    return *this ;

  ip_addr = wd.ip_addr ;
  mac_addr = wd.mac_addr ;
  antenna_gain = wd.antenna_gain ;
  trx_power = wd.trx_power ;

  return *this ;
}


bool WifiDevice::operator==(const WifiDevice &wd) const
{
  if (this == &wd)
    return true ;

  return
    ip_addr == wd.ip_addr &&
    mac_addr == wd.mac_addr &&
    antenna_gain == wd.antenna_gain &&
    trx_power == wd.trx_power ;
}



ostream &operator<<(ostream &os, const WifiDevice &wd)
{
  os
      << "IP address: " << wd.ip_addr << '\n'
      << "MAC address: " << wd.mac_addr << '\n'
      << "Antenna gain: " << wd.antenna_gain << "dBi" << '\n'
      << "Output power: " << wd.trx_power << "dBm" ;

  return os ;
}
