#include <cxxtest/TestSuite.h>

#include "outputcsv.hh"

class OutputCSV_test: public CxxTest::TestSuite
{
private:
  std::string csv_file_name ;

public:

  OutputCSV_test(void)
  {
    Stock::clear() ;
    csv_file_name = "/tmp/OutputCSV_test_csv_file.csv" ;
  }


  ~OutputCSV_test(void)
  {
    TestUtil::remove_file(csv_file_name) ;
    Stock::clear() ;
  }


  static OutputCSV_test* createSuite(void)
  {
    return new OutputCSV_test() ;
  }


  static void destroySuite(OutputCSV_test *suite)
  {
    delete suite ;
  }


  void test_outputcsv(void)
  {
    OutputCSV *outputcsv1 = new OutputCSV(csv_file_name) ;
    for (std::vector<Result>::const_iterator i =
           TestUtil::results.begin() ;
         i != TestUtil::results.end() ; ++i)
      outputcsv1->write(*i) ;
    delete outputcsv1 ;

    unsigned int result_count = 0 ;
    std::ifstream inputcsv(csv_file_name.c_str()) ;
    while (inputcsv)
      {
        std::string line ;
        getline(inputcsv, line) ;

        const Result &result = TestUtil::results.at(result_count) ;
        std::ostringstream result_csv ;
        result_csv
            << result.get_request()->get_mobile()->get_mac_addr() << ';'
            << result.get_request()->get_time_sent() << ';'
            << result.get_position().get_x() << ';'
            << result.get_position().get_y() << ';'
            << result.get_position().get_z() ;

        TS_ASSERT_EQUALS(line, result_csv.str()) ;

        if (++result_count >= TestUtil::results.size())
          break ;
      }
  }

} ;
